#ifndef __launchermenu_h__
#define __launchermenu_h__

#include "menu.h"

namespace hm
{

	/**
		File launcher
	*/
	class LauncherMenu : public Menu
   {

	public:
		
		/** 
			constructor
			\param title the title of the menu, it will usually show in the list and on the window header
			\param surface a surface to draw on. The root node should always have a non-NULL Surface object
			specified, child nodes will inherit their parent's Surface when appendChild is called.
		*/
		LauncherMenu(string title,Surface *surface = NULL);

		virtual int enter();
	private:

		void draw();

	};


};

#endif
