#ifndef __radmenu_h__
#define __radmenu_h__

#include "menu.h"

namespace hm
{

	/**
		Radial menu, looks spivvy
	*/
	class RadMenu : public Menu
   {

	public:
		
		/** 
			constructor
			\param title the title of the menu, it will usually show in the list and on the window header
			\param surface a surface to draw on. The root node should always have a non-NULL Surface object
			specified, child nodes will inherit their parent's Surface when appendChild is called.
		*/
		RadMenu(string title,Surface *surface = NULL);

		void setRadius(int rad);

		virtual int enter();
	private:

		void draw();
		int radius;

	};


};

#endif
