#include <string>
#include "surface.h"
#include "separatormenu.h"
using namespace std;

namespace hm
{

	SeparatorMenu::SeparatorMenu(string title,Surface *surface) :
		Menu(title,surface)
	{
	}

	void SeparatorMenu::drawListItem(Surface *surface,int x,int y,int w,int h,bool selected)
   {
		y += 8;

      surface->drawRect(x,y,w,1,0);
	}

	int SeparatorMenu::getListItemHeight()
   {
		return(16);
	}

   bool SeparatorMenu::isSelectable(void)
   {
      return false;
   }
};
